> ## Documentation Index
> Fetch the complete documentation index at: https://docs.osint.ly/llms.txt
> Use this file to discover all available pages before exploring further.

# List tools

> List tools available to the authenticated account.



## OpenAPI

````yaml /tools-reference/openapi.json get /tools
openapi: 3.1.0
info:
  title: Osintly Tools API
  version: 1.0.0
  description: OpenAPI specification for Osintly Epic Games tools and catalog endpoints.
  contact:
    name: Osintly
    url: https://docs.osint.ly/tools-reference/introduction
servers:
  - url: https://api.osint.ly
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Tools Catalog
    description: Discover available tools, metadata, and route costs.
  - name: Epic Games
    description: Direct Epic Games account validation and enrichment endpoints.
paths:
  /tools:
    get:
      tags:
        - Tools Catalog
      summary: List tools
      description: List tools available to the authenticated account.
      operationId: listTools
      parameters:
        - name: category
          in: query
          schema:
            type: string
            default: All
            maxLength: 80
        - name: featuredOnly
          in: query
          schema:
            oneOf:
              - type: boolean
              - type: string
                enum:
                  - 'true'
                  - 'false'
                  - '1'
                  - '0'
            default: false
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 250
            default: 250
        - name: page
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 10000
            default: 1
        - name: search
          in: query
          schema:
            type: string
            maxLength: 120
            default: ''
        - name: searchType
          in: query
          schema:
            type: string
            default: All
            maxLength: 80
        - name: sortBy
          in: query
          schema:
            type: string
            enum:
              - popular
              - usage-desc
              - usage-asc
              - recent
              - name-asc
              - name-desc
              - rating
            default: popular
        - name: fields
          in: query
          schema:
            type: string
            enum:
              - preview
              - full
            default: full
      responses:
        '200':
          description: Tools catalog response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ToolsCatalogResponse'
              example:
                aggregations:
                  categories:
                    Gaming: 1
                    Accounts: 1
                    Social: 1
                  featuredCount: 0
                  searchTypes:
                    Gaming: 1
                  totalCount: 1
                featuredTools: []
                items:
                  - categories:
                      - Gaming
                      - Accounts
                      - Social
                    countryCode: null
                    description: >-
                      Validate Epic Games account search inputs, retrieve player
                      autocomplete suggestions, and enrich Epic/Fortnite account
                      intelligence.
                    featured: false
                    id: 00000000-0000-0000-0000-000000000000
                    logo: /tools/epic-games.png
                    name: Epic Games
                    routePath: /epic-games
                    slug: epic-games
                    type: Gaming
                    uiKey: epic-games
                    updatedAt: '2026-06-28T12:00:00.000Z'
                pagination:
                  hasNext: false
                  hasPrevious: false
                  limit: 250
                  page: 1
                  total: 1
                  totalPages: 1
                tools:
                  - categories:
                      - Gaming
                      - Accounts
                      - Social
                    countryCode: null
                    description: >-
                      Validate Epic Games account search inputs, retrieve player
                      autocomplete suggestions, and enrich Epic/Fortnite account
                      intelligence.
                    featured: false
                    id: 00000000-0000-0000-0000-000000000000
                    logo: /tools/epic-games.png
                    name: Epic Games
                    routePath: /epic-games
                    slug: epic-games
                    type: Gaming
                    uiKey: epic-games
                    updatedAt: '2026-06-28T12:00:00.000Z'
                total: 1
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/PlanFeatureRequired'
components:
  schemas:
    ToolsCatalogResponse:
      type: object
      required:
        - aggregations
        - featuredTools
        - items
        - pagination
        - tools
        - total
      properties:
        aggregations:
          type: object
          required:
            - categories
            - featuredCount
            - searchTypes
            - totalCount
          properties:
            categories:
              type: object
              additionalProperties:
                type: integer
            featuredCount:
              type: integer
            searchTypes:
              type: object
              additionalProperties:
                type: integer
            totalCount:
              type: integer
          additionalProperties: true
        featuredTools:
          type: array
          items:
            $ref: '#/components/schemas/ToolCatalogItem'
        items:
          type: array
          items:
            $ref: '#/components/schemas/ToolCatalogItem'
        pagination:
          type: object
          required:
            - hasNext
            - hasPrevious
            - limit
            - page
            - total
            - totalPages
          properties:
            hasNext:
              type: boolean
            hasPrevious:
              type: boolean
            limit:
              type: integer
            page:
              type: integer
            total:
              type: integer
            totalPages:
              type: integer
          additionalProperties: false
        tools:
          type: array
          items:
            $ref: '#/components/schemas/ToolCatalogItem'
        total:
          type: integer
      additionalProperties: false
    ToolCatalogItem:
      type: object
      properties:
        categories:
          type: array
          items:
            type: string
        countryCode:
          type:
            - string
            - 'null'
        description:
          type: string
        featured:
          type: boolean
        id:
          type: string
        logo:
          type: string
        name:
          type: string
        routePath:
          type: string
        slug:
          type: string
        type:
          type: string
        uiKey:
          type: string
        updatedAt:
          type: string
      additionalProperties: true
    ErrorResponse:
      type: object
      required:
        - error
        - meta
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            details: {}
          additionalProperties: true
        meta:
          $ref: '#/components/schemas/ResponseMeta'
      additionalProperties: false
      example:
        error:
          code: UNAUTHORIZED
          message: Unauthorized
          details: A valid API key is required
        meta:
          timestamp: '2026-06-28T12:00:00.000Z'
    ResponseMeta:
      type: object
      required:
        - timestamp
      properties:
        timestamp:
          type: string
          format: date-time
        savedResult:
          $ref: '#/components/schemas/SavedToolResult'
      additionalProperties: true
    SavedToolResult:
      type: object
      required:
        - id
        - url
      properties:
        id:
          type: string
          format: uuid
        url:
          type: string
          format: uri
      additionalProperties: false
  responses:
    Unauthorized:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: UNAUTHORIZED
              message: Unauthorized
              details: A valid API key is required
            meta:
              timestamp: '2026-06-28T12:00:00.000Z'
    PlanFeatureRequired:
      description: >-
        The authenticated account does not have a paid API subscription with
        tools access
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: PLAN_FEATURE_REQUIRED
              message: Plan feature required
              details: >-
                Tools require a paid API subscription with the tools feature
                enabled
            meta:
              timestamp: '2026-06-28T12:00:00.000Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````